Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpExtList

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpExtList

public class HttpExtList
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`protected` | `HttpExtList()` for parser only
`` | `HttpExtList(HttpExt[] exts)` for user.
`` | `HttpExtList(HttpExtList old)` Constructor, for User

Method Summary
`void` | `addHttpExt(HttpExt ext)` Add an Http extension header.
`HttpExt` | `getHttpExt(java.lang.String name)` Get an Http extension header.
`HttpExt[]` | `getHttpExts()` Get all Http extensions header.
`java.lang.Object` | `getValue()`
`protected void` | `parse()` Parse this header value into its various components.
`protected void` | `updateByteValue()`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpExtList

    public HttpExtList(HttpExt[] exts)

  for user.
  Parameters:
    `exts` - the HttpExt array.

### HttpExtList

    public HttpExtList(HttpExtList old)

  Constructor, for User
  Parameters:
    `old` - the old Http extension declaration list If you want to reply the same extensions, use this contructor.

### HttpExtList

    protected HttpExtList()

  for parser only

Method Detail

### parse

    protected void parse()
                  throws HttpParserException

  Parse this header value into its various components.
  Throws:
    HttpParserException - if unable to parse.
  Overrides:
    parse in class BasicValue

### updateByteValue

    protected void updateByteValue()

  Overrides:
    updateByteValue in class BasicValue

### addHttpExt

    public void addHttpExt(HttpExt ext)

  Add an Http extension header.
  Parameters:
    `ext` - an HttpExt.

### getHttpExts

    public HttpExt[] getHttpExts()

  Get all Http extensions header.
  Returns:
    an HttpExt array.

### getHttpExt

    public HttpExt getHttpExt(java.lang.String name)

  Get an Http extension header.
  Parameters:
    `name` - The extension identifier (AbsoluteURI or field name)
  Returns:
    an HttpExt or null.

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class BasicValue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD